<?php
include "../../connect.php";
$driverID = filterRequest("driverID");

$sql = "SELECT
    driverWallet.`id`,
    driverWallet.amount,
    driverWallet.dateCreated as created_at
FROM
    `driverWallet`
WHERE
    driverWallet.driverID = '$driverID' AND driverWallet.dateCreated >= DATE_SUB(NOW(), INTERVAL 1 MONTH)
ORDER BY
    `driverWallet`.`id`
DESC";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    printSuccess( $row);
    
}
    else{
    // Print a failure message
    printFailure($message = "No wallet record found");
}
?>